Package commoble.morered.api.internal

# Class APIRegistries

java.lang.Object
commoble.morered.api.internal.APIRegistries

public class APIRegistries extends Object

## Constructor Summary

Constructors
Constructor
Description
`APIRegistries()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`freezeRegistries()`
`static Map<net.minecraft.world.level.block.Block,WireConnector>`
`getCableConnectabilities()`
`static Map<net.minecraft.world.level.block.Block,ExpandedPowerSupplier>`
`getExpandedPowerSuppliers()`
`static Map<net.minecraft.world.level.block.Block,WireConnector>`
`getWireConnectabilities()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### APIRegistries

public APIRegistries()

## Method Details

### getWireConnectabilities

public static Map<net.minecraft.world.level.block.Block,WireConnector> getWireConnectabilities()

### getExpandedPowerSuppliers

public static Map<net.minecraft.world.level.block.Block,ExpandedPowerSupplier> getExpandedPowerSuppliers()

### getCableConnectabilities

public static Map<net.minecraft.world.level.block.Block,WireConnector> getCableConnectabilities()

### freezeRegistries

public static void freezeRegistries()